Bug 164809 - crash when compiling convoluted generated code
crash when compiling convoluted generated code
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On: 158407
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-08-01 12:07 EDT by Elena Zannoni
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2005-677
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 07:18:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elena Zannoni 2005-08-01 12:07:20 EDT
+++ This bug was initially created as a clone of Bug #158407 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020 Firefox/0.10.1

Description of problem:
I have a program which generates C code then compiles it. For one such generated
C file, gcc crashes whenever it tries to compile it.

Version-Release number of selected component (if applicable):
gcc-3.4.2-6.fc3

How reproducible:
Always

Steps to Reproduce:
1. Compile preprocessed file at http://www.bathysphere.org/cc_crash.out
 
Compiler flags are in the file.

Actual Results:  segmentation fault

Expected Results:  compiles OK, or error message if code is erroneous.

Additional info:
Comment 3 Red Hat Bugzilla 2005-10-05 07:18:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-677.html

Note You need to log in before you can comment on or make changes to this bug.